<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class VisitPlan extends Model
{
    use HasFactory;

    protected $table = 'visit_plan';
    protected $fillable = ['user_id', 'customer_id', 'visit_date', 'status'];

    public function customer()
    {
        return $this->belongsTo(Customer::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
